package de.intevation.flys.artifacts;


import de.intevation.flys.artifacts.model.FastCrossSectionLine;
/**
 * Interface, Artifact can create WaterLines (Water against Cross-Profile).
 */
public interface WaterLineArtifact {

    /** Get points that define a line of a (water)facet against a cross-
     * section. */
    public double [][] getWaterLines(int facetIdx, FastCrossSectionLine csl);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
